Skip to main content
`Ctrl`+`K`

# PCASMSetSortIndices

Determines whether subdomain indices are sorted.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCASMSetSortIndices(PC pc, PetscBool doSort)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- doSort - sort the subdomain indices

## See Also

KSP: Linear System Solvers, `PCASM`, `PCASMSetLocalSubdomains()`, `PCASMSetTotalSubdomains()`, `PCASMGetSubKSP()`, `PCASMCreateSubdomains2D()`

## Level

intermediate

## Location

src/ksp/pc/impls/asm/asm.c

## Implementations

PCASMSetSortIndices_ASM() in src/ksp/pc/impls/asm/asm.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages